[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.OnThreadError

Triggered when a thread reports an error

## Declaration

Source position: simpleipc.pp line 222

`published property TSimpleIPCServer.OnThreadError : TNotifyEvent read FOnThreadError write FOnThreadError;`

## Description

OnThreadError is triggered when the server thread reports an error. The actual error message can be examined in TSimpleIPCServer.ThreadError

## See also

TSimpleIPCServer.ThreadExecuting |  | Is the message thread currently executing ?
TSimpleIPCServer.StartServer |  | Start the server
TSimpleIPCServer.OnThreadError |  | Triggered when a thread reports an error
TSimpleIPCServer.ThreadError |  | Last thread error
TSimpleIPCServer.Threaded |  | Is the server running threaded or not ?